Package org.apache.sling.sling_feature_converter_maven_plugin

# Class HelpMojo

java.lang.Object
org.apache.maven.plugin.AbstractMojo
org.apache.sling.sling_feature_converter_maven_plugin.HelpMojo

All Implemented Interfaces:
  `org.apache.maven.plugin.ContextEnabled`, `org.apache.maven.plugin.Mojo`

@Mojo(name="help", requiresProject=false, threadSafe=true) public class HelpMojo extends org.apache.maven.plugin.AbstractMojo
Display help information on sling-feature-converter-maven-plugin.
Call `mvn sling-feature-converter:help -Ddetail=true -Dgoal=<goal-name>` to display parameter details.

Author:
  maven-plugin-tools

## Field Summary

### Fields inherited from interface org.apache.maven.plugin.Mojo

`ROLE`

## Constructor Summary

Constructors
Constructor
Description
`HelpMojo()`

## Method Summary

Modifier and Type
Method
Description
`void`
`execute()`

### Methods inherited from class org.apache.maven.plugin.AbstractMojo

`getLog, getPluginContext, setLog, setPluginContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HelpMojo

public HelpMojo()

## Method Details

### execute

public void execute() throws org.apache.maven.plugin.MojoExecutionException

Throws:
  `org.apache.maven.plugin.MojoExecutionException`